%global modname vobject
%global sum A python library for manipulating vCard and vCalendar files


Name:           python-vobject
Version:        0.9.6.1
Release:    1%{?dist}
Summary:        %{sum}

License:        ASL 2.0
URL:            http://eventable.github.io/vobject/
Source0:        https://pypi.python.org/packages/source/v/vobject/%{modname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  git


%description
VObject is intended to be a full featured python library for parsing and
generating vCard and vCalendar files.


%package -n         python3-%{modname}
Summary:            %{sum}

Requires:           python3-dateutil
Requires:           python3-setuptools
BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-dateutil

%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-vobject
VObject is intended to be a full featured python library for parsing and
generating vCard and vCalendar files.


%prep
%autosetup -n %{modname}-%{version} -p1
sed -i -e 's| == 2.4.0||' setup.py
rm vobject/win32tz.py

%build
%py3_build


%install
%py3_install


%check

%{__python3} setup.py test


%files -n python3-%{modname}
%doc README.md
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-*
%{_bindir}/change_tz
%{_bindir}/ics_diff


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.6.1-1
- initial build
